NCHECK_FFS(8)

NAME
ncheck_ffs, ncheck - generate names from inode-numbers

SYNOPSIS
ncheck_ffs [-ams] [-f format] [-i number ...] filesystem

DESCRIPTION
ncheck_ffs generates a list of filenames and inode numbers for the given file system. Names of directories are followed by a ‘’.. ncheck_ffs may be invoked more simply as ncheck, with no change in behaviour.

The options are as follows:

-a  Print the file names ‘’. and ‘..’, which are ordinarily skipped.

-f format
    Use a custom output format when printing inode information. Characters from format are printed for each inode with the following escape sequences:

    \a  Print a <bell> character.
    \b  Print a <backspace> character.
    \e  Print an <escape> character.
    \f  Print a <form-feed> character.
    \I  Print the inode number.
    \n  Print a <new-line> character.
    \P  Print the pathname to the file using the current inode number.
    \r  Print a <carriage return> character.
    \t  Print a <tab> character.
    \v  Print a <vertical tab> character.
    \'  Print a <single quote> character.
    \\  Print a backslash character.
    \0  Print a NUL character.

    All other characters, when prefixed by a backslash, simply print the character following the backslash. The device name is not printed on the first line of output when the -f option is specified.

-i number ...
    Report only those files whose inode numbers are as listed.

-m  Give more verbose information on inodes.

-s  Report only special files and files with set-user-ID or set-group-ID set. This is meant to find hidden violations of security policies.

The report is not sorted.

SEE ALSO
sort(1), fsck(8), fsdb(8)

HISTORY
The ncheck_ffs command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3.

AUTHORS
Thorsten Lockert <tholo@sigmasoft.com>